FreeBSD : gnutls -- multiple certificate verification issues (f645aa90-a3e8-11e3-a422-3c970e169bc2)

Medium Nessus Plugin ID 72808


The remote FreeBSD host is missing one or more security-related updates.


GnuTLS project reports :

A vulnerability was discovered that affects the certificate verification functions of all gnutls versions. A specially crafted certificate could bypass certificate validation checks. The vulnerability was discovered during an audit of GnuTLS for Red Hat.

Suman Jana reported a vulnerability that affects the certificate verification functions of gnutls 2.11.5 and later versions. A version 1 intermediate certificate will be considered as a CA certificate by default (something that deviates from the documented behavior).


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 72808

File Name: freebsd_pkg_f645aa90a3e811e3a4223c970e169bc2.nasl

Version: $Revision: 1.3 $

Type: local

Published: 2014/03/05

Modified: 2014/04/16

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:gnutls, p-cpe:/a:freebsd:freebsd:gnutls-devel, p-cpe:/a:freebsd:freebsd:gnutls3, p-cpe:/a:freebsd:freebsd:linux-f10-gnutls, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2014/03/04

Vulnerability Publication Date: 2014/03/03

Reference Information

CVE: CVE-2014-0092, CVE-2014-1959